package de.intevation.artifactdatabase;

import de.intevation.artifacts.PreferredLocale;

import java.util.Locale;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DefaultPreferredLocale
implements   PreferredLocale
{
    protected Locale locale;
    protected float  quality;

    public DefaultPreferredLocale() {
    }

    public DefaultPreferredLocale(String lang, float quality) {
        locale = new Locale(lang);
        this.quality = quality;
    }

    public Locale getLocale() {
        return locale;
    }

    public float getQuality() {
        return quality;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
